# Generated from yaml_db-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yaml_db

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: yaml_db allows export/import of database into/from yaml files
License: MIT
URL: https://github.com/yamldb/yaml_db
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
YamlDb is a database-independent format for dumping and restoring data.  It
complements the database-independent schema format found in db/schema.rb.  The
data is saved into db/data.yml.
This can be used as a replacement for mysqldump or pg_dump, but only for the
databases typically used by Rails apps.  Users, permissions, schemas,
triggers, and other advanced database features are not supported - by design.
Any database that has an ActiveRecord adapter should work.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.7.0-1
- Initial package
